Validate a coupon code and calculate discount
curl --request POST \
--url https://open.beatpass.ca/api/v1/coupons/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"product_id": 123,
"price_id": 123,
"amount": 123
}
'import requests
url = "https://open.beatpass.ca/api/v1/coupons/validate"
payload = {
"code": "<string>",
"product_id": 123,
"price_id": 123,
"amount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', product_id: 123, price_id: 123, amount: 123})
};
fetch('https://open.beatpass.ca/api/v1/coupons/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"coupon": {},
"discount_amount": 123,
"final_amount": 123,
"savings": 123,
"valid": true
}{
"status": "error",
"message": "Reason for the error",
"errors": {
"some_data_1": "Error message for data 1",
"some_data_2": "Error message for data 2"
}
}Coupons
Validate a coupon code and calculate discount
POST
/
coupons
/
validate
Validate a coupon code and calculate discount
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Body
application/json
Last modified on July 21, 2026
Was this page helpful?
⌘I